<?php

function matraman_lite_header_default() { 

	/*<div class="jumbo" style="background-image: url('<?php header_image(); ?>');"></div>*/

	echo '<div class="header-default">'; ?>

<?php 
$author_name = get_theme_mod( 'matraman_lite_author_name', esc_html__( 'Author Name', 'matraman-lite' ) );
$author_desc = get_theme_mod( 'matraman_lite_author_desc', esc_html__( 'Author Bio Text', 'matraman-lite' ) );
if ( current_user_can( 'edit_theme_options' ) ) {
	$img_author   = get_theme_mod( 'matraman_lite_author_img', esc_url( get_template_directory_uri() . '/img/author-default.jpg' ) );
} else {
	$img_author   = get_theme_mod( 'matraman_lite_author_img' );
}
?>

<div class="site-author clearfix">
	<?php if (! empty( $img_author ) ) { ?>
	<div class="author-image">
		<img src="<?php echo esc_url( $img_author ); ?>" class="image-author" alt="" />
	</div>
	<?php } ?>

	<div class="author-text">
	<?php if (!empty($author_name)) { ?>
		<div class="author-name"><?php echo esc_html( $author_name ); ?></div>
	<?php } 

	if (!empty($author_desc)) { ?>
		<div class="author-desc"><?php echo sanitize_text_field( $author_desc ); ?></div>
	<?php } ?>
	</div>

</div>
	<?php  echo '</div>';
}

function matraman_lite_background_header() {
global $post, $paged, $page;

	$image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );

	if(is_singular() && has_post_thumbnail()) {
		echo '<div class="hero-section-single">';
		echo '<div class="hero-section-single-image" style="background-image:url('.$image_url[0].');">';
		echo '</div></div>';
	}

	elseif(is_single() && !has_post_thumbnail()) {
		echo '<div class="hero-section-single"></div>';
	}

	elseif(is_page() && !is_front_page() ) {
		echo '<div class="hero-section">'; ?>
		<div class="hero-section-image" style="background-image:url('<?php header_image(); ?>');">
		</div>
		<?php echo '<div class="header-default">'; ?>
		<div class="page-title text-center">
			<h1 class="entry-title" itemprop="headline"><?php the_title(); ?></h1>
			<div class="bord"></div>
		</div>
		<?php echo '</div></div>';
	}

	elseif(!is_singular() || is_front_page() ) {
		echo '<div class="hero-section">'; ?>
		<div class="hero-section-image" style="background-image:url('<?php header_image(); ?>');">
		</div>
		<?php matraman_lite_header_default();
		echo '</div>';
	}
}

//POST THUMBNAIL
function matraman_lite_post_thumbnail() {
	if ( has_post_thumbnail()) {
		$real_image = get_post_thumbnail_id();
		$image_url = wp_get_attachment_image_src( $real_image, 'full'); 
		$image_meta = wp_get_attachment_metadata( $real_image );
		$image_width = $image_meta["width"];
		$image_height = $image_meta["height"];
	?>
		<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
		<div class="post-thumb">
			<div itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
				<img class="singleimg" src="<?php echo esc_url($image_url[0]) ?>">
				<meta itemprop="url" content="<?php echo esc_url( $image_url[0] ); ?>">
				<?php echo '<meta itemprop="width" content="'.$image_width.'"><meta itemprop="height" content="'.$image_height.'">'; ?>
			</div>
		</div><!-- post thumb -->
		</a>
	<?php } 
	else {
		echo  '<div class="no-thumb"></div>';
	}
}

//COMMENT
function matraman_lite_comment_checker() {
	global $post;

	matraman_lite_comment_reply();
	if ( comments_open() || '0' != get_comments_number() ) comments_template(); 
}

//POST TYPE
function matraman_lite_post_type() {
	if ( has_post_format('gallery') ) {
		echo '<i class="icon post-type icon-photos-pictures"></i>';
	}

	if ( has_post_format('audio') ) {
		echo '<i class="icon post-type icon-headphone"></i>';
	}

	if ( has_post_format('chat') ) {
		echo '<i class="icon post-type icon-chat-talk"></i>';
	}

	if ( has_post_format('image') ) {
		echo '<i class="icon post-type icon-camera"></i>';
	}

	if ( has_post_format('link') ) {
		echo '<i class="icon post-type icon-link"></i>';
	}

	if ( has_post_format('quote') ) {
		echo '<i class="icon post-type icon-quote-left"></i>';
	}

	if ( has_post_format('video') ) {
		echo '<i class="icon post-type icon-film-maker"></i>';
	}

	if ( has_post_format('status') ) {
		echo '<i class="icon post-type icon-message-talk"></i>';
	}

	if ( !get_post_format() && !is_sticky() ) {
		echo '<i class="icon post-type icon-book"></i>';
	}

	if ( is_sticky()) {
		echo '<i class="icon post-type icon-pin"></i>';
	}
}