<?php
// Set Panel ID
$panel_id = 'matraman_lite_panel_author';

// Set prefix
$prefix = 'matraman_lite';

/***********************************************/
/************** AUTHOR OPTIONS  ***************/
/***********************************************/


$wp_customize->add_panel( $panel_id, array(
	'priority'       => 5,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => esc_html__( 'Author Options', 'matraman-lite' ),
	'description'    => esc_html__( 'This is author section that only display at front page. Please set your front page to use this.', 'matraman-lite' ),
) );


/*section*/
$wp_customize->add_section( $prefix . '_the_author', array(
	'title'    => esc_html__( 'Author Details', 'matraman-lite' ),
	'priority' => 1,
	'panel'    => $panel_id,
) );


/***********************************************/
/**************  Author Details  ***************/
/***********************************************/

// name
$wp_customize->add_setting( $prefix . '_author_name', array(
	'sanitize_callback' => 'matraman_lite_sanitize_html',
	'default'           => esc_html__( 'Author Name', 'matraman-lite' ),
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( $prefix . '_author_name', array(
	'label'       => esc_html__( 'Author Name', 'matraman-lite' ),
	'description' => esc_html__( 'Type your name here.', 'matraman-lite' ),
	'section'     => $prefix . '_the_author',
	'priority'    => 1,
) );

// info/bio
$wp_customize->add_setting( $prefix . '_author_desc', array(
	'sanitize_callback' => 'matraman_lite_sanitize_html',
	'default'           => esc_html__( 'Author Bio Text', 'matraman-lite' ),
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( $prefix . '_author_desc', array(
	'label'       => esc_html__( 'Author Name', 'matraman-lite' ),
	'description' => esc_html__( 'Text about you are here.', 'matraman-lite' ),
	'section'     => $prefix . '_the_author',
	'priority'    => 2,
) );

//author image
$wp_customize->add_setting( $prefix . '_author_img', array(
	'sanitize_callback' => 'esc_url_raw',
	'default'           => esc_url_raw( get_template_directory_uri() . '/img/author-default.jpg' ),
	'transport'         => 'postMessage',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, $prefix . '_author_img', array(
	'label'       => esc_html__( 'Author Image', 'matraman-lite' ),
	'description' => esc_html__( 'Upload your profile picture here. Square image dimension recommended.', 'matraman-lite' ),
	'section'     => $prefix . '_the_author',
	'settings'    => $prefix . '_author_img',
	'priority'    => 3,
) ) );