/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */
( function( $ ) {

	wp.customize( 'matraman_img_logo', function( value ) {
		value.bind( function( newval ) {
			if( newval !== '' ) {
				$( '#header .header-logo' ).empty();
				$( '#header .header-logo' ).prepend( '<img src="" alt="'+ wp.customize._value.kerinci_text_logo +'" title="'+ wp.customize._value.kerinci_text_logo +'" />' );
				$( '#header .header-logo img' ).attr( 'src', newval );
			} else {
				$( '#header .header-logo' ).text( wp.customize._value.kerinci_text_logo() );
			}
		} );
	} );

	/* Current header */
	wp.customize( 'header_image', function( value ) {
		value.bind( function( newval ) {
			if( newval == 'remove-header' ) {
				$( '.hero-section .header-default .jumbo' ).removeAttr( 'style' );
			} else if( newval == 'random-uploaded-image' ) {
				// $( '#header.header-blog' ).removeAttr( 'style' );
			} else if( newval == 'random-default-image' ) {
				// $( '#header.header-blog' ).removeAttr( 'style' );
			} else {
				$( '.hero-section .header-default .jumbo' ).css( 'background-image', 'url('+ newval +')' );
			}
		} );
	} );

	/*author*/
	wp.customize( 'matraman_lite_author_name', function( value ) {
		value.bind( function( newval ) {
			$( '.site-author .author-name' ).html( newval );
		} );
	} );

	wp.customize( 'matraman_lite_author_desc', function( value ) {
		value.bind( function( newval ) {
			$( '.site-author .author-desc' ).html( newval );
		} );
	} );

	wp.customize( 'matraman_lite_author_img', function( value ) {
		value.bind( function( newval ) {
			if( newval !== '' ) {
				$( '.site-author .author-image img' ).removeClass( 'customizer-display-none' );
				$( '.site-author .author-image img' ).attr( 'src', newval );
			} else {
				$( '.site-author .author-image img' ).addClass( 'customizer-display-none' );
			}
		} );
	} );

	/* Footer Copyright */
	wp.customize( 'matraman_lite_footer_copyright', function( value ) {
		value.bind( function( newval ) {
			$( '#footer .copyright-footer' ).html( newval );
		} );
	} );

	wp.customize( 'matraman_lite_general_footer_display_copyright', function( value ) {
		value.bind( function( newval ) {
			if( newval == true ) {
				$( '#footer .copyright-footer span[data-customizer="copyright-credit"]' ).removeClass( 'customizer-display-none' );
			} else if( newval == false ) {
				$( '#footer .copyright-footer span[data-customizer="copyright-credit"]' ).addClass( 'customizer-display-none' );
			}
		} );
	} );

} )( jQuery );